<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::UnionType Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_union_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpcgen_1_1_union_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::UnionType Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Discriminated union data type.  
 <a href="classerpcgen_1_1_union_type.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_union_type_8h_source.html">UnionType.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for erpcgen::UnionType:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1_union_type.png" usemap="#erpcgen::UnionType_map" alt=""/>
  <map id="erpcgen::UnionType_map" name="erpcgen::UnionType_map">
<area href="classerpcgen_1_1_data_type.html" title="Base class for data types. " alt="erpcgen::DataType" shape="rect" coords="0,56,125,80"/>
<area href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. " alt="erpcgen::Symbol" shape="rect" coords="0,0,125,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a9d534ef03d1f474ed0405949fe154d7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d534ef03d1f474ed0405949fe154d7a"></a>
typedef std::vector&lt; <a class="el" href="classerpcgen_1_1_union_case.html">UnionCase</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>case_vector_t</b></td></tr>
<tr class="separator:a9d534ef03d1f474ed0405949fe154d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e1dcc7f0074993949a2cc007102b20b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e1dcc7f0074993949a2cc007102b20b"></a>
typedef std::vector&lt; <a class="el" href="classerpcgen_1_1_struct_member.html">StructMember</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>memberDecl_vector_t</b></td></tr>
<tr class="separator:a3e1dcc7f0074993949a2cc007102b20b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a7b5230551817ee50d98d111d06212068 inherit pub_types_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b5230551817ee50d98d111d06212068"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> { <br />
&#160;&#160;<b>kBuiltinType</b>, 
<br />
&#160;&#160;<b>kListType</b>, 
<br />
&#160;&#160;<b>kArrayType</b>, 
<br />
&#160;&#160;<b>kEnumType</b>, 
<br />
&#160;&#160;<b>kStructType</b>, 
<br />
&#160;&#160;<b>kAliasType</b>, 
<br />
&#160;&#160;<b>kUnionType</b>, 
<br />
&#160;&#160;<b>kVoidType</b>
<br />
 }<tr class="memdesc:a7b5230551817ee50d98d111d06212068"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported data types. <br /></td></tr>
</td></tr>
<tr class="separator:a7b5230551817ee50d98d111d06212068 inherit pub_types_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41dbbe424222a8e9b4b73c390cf06775"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> { <br />
&#160;&#160;<b>kProgramSymbol</b>, 
<br />
&#160;&#160;<b>kTypenameSymbol</b>, 
<br />
&#160;&#160;<b>kEnumMemberSymbol</b>, 
<br />
&#160;&#160;<b>kStructMemberSymbol</b>, 
<br />
&#160;&#160;<b>kConstSymbol</b>, 
<br />
&#160;&#160;<b>kInterfaceSymbol</b>, 
<br />
&#160;&#160;<b>kFunctionSymbol</b>, 
<br />
&#160;&#160;<b>kBuiltinTypeSymbol</b>, 
<br />
&#160;&#160;<b>kListTypeSymbol</b>, 
<br />
&#160;&#160;<b>kArrayTypeSymbol</b>, 
<br />
&#160;&#160;<b>kEnumTypeSymbol</b>, 
<br />
&#160;&#160;<b>kStructTypeSymbol</b>, 
<br />
&#160;&#160;<b>kAliasTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionCaseTypeSymbol</b>
<br />
 }<tr class="memdesc:a41dbbe424222a8e9b4b73c390cf06775"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported symbol types. <br /></td></tr>
</td></tr>
<tr class="separator:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8a458b46a9531a34a22a84f9f8aa842d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a8a458b46a9531a34a22a84f9f8aa842d">UnionType</a> (const std::string &amp;name, const std::string &amp;discriminatorName)</td></tr>
<tr class="memdesc:a8a458b46a9531a34a22a84f9f8aa842d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8a458b46a9531a34a22a84f9f8aa842d">More...</a><br /></td></tr>
<tr class="separator:a8a458b46a9531a34a22a84f9f8aa842d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f25e14871e1ff00a579a09b255c746f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f25e14871e1ff00a579a09b255c746f"></a>
<a class="el" href="classerpcgen_1_1_struct_type.html">StructType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a6f25e14871e1ff00a579a09b255c746f">getParentStruct</a> ()</td></tr>
<tr class="memdesc:a6f25e14871e1ff00a579a09b255c746f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the struct owning this union. <br /></td></tr>
<tr class="separator:a6f25e14871e1ff00a579a09b255c746f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa582892d62ea3855f3fb9fabf0e6de0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa582892d62ea3855f3fb9fabf0e6de0a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#aa582892d62ea3855f3fb9fabf0e6de0a">setParentStruct</a> (<a class="el" href="classerpcgen_1_1_struct_type.html">StructType</a> *parent)</td></tr>
<tr class="memdesc:aa582892d62ea3855f3fb9fabf0e6de0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the struct owning this union. <br /></td></tr>
<tr class="separator:aa582892d62ea3855f3fb9fabf0e6de0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab43e74456e7e9ca2c869b764fef5ad48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#ab43e74456e7e9ca2c869b764fef5ad48">addCase</a> (<a class="el" href="classerpcgen_1_1_union_case.html">UnionCase</a> *unionCase)</td></tr>
<tr class="memdesc:ab43e74456e7e9ca2c869b764fef5ad48"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function will add union case to current union.  <a href="#ab43e74456e7e9ca2c869b764fef5ad48">More...</a><br /></td></tr>
<tr class="separator:ab43e74456e7e9ca2c869b764fef5ad48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8ca991afd47858d15e1cea0a37f27b5"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#ae8ca991afd47858d15e1cea0a37f27b5">getDescription</a> () const </td></tr>
<tr class="memdesc:ae8ca991afd47858d15e1cea0a37f27b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about the union.  <a href="#ae8ca991afd47858d15e1cea0a37f27b5">More...</a><br /></td></tr>
<tr class="separator:ae8ca991afd47858d15e1cea0a37f27b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3eac98c19587d456ad2f2f8c596baebb"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a3eac98c19587d456ad2f2f8c596baebb">isUnion</a> () const </td></tr>
<tr class="memdesc:a3eac98c19587d456ad2f2f8c596baebb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "true" value for identify union type.  <a href="#a3eac98c19587d456ad2f2f8c596baebb">More...</a><br /></td></tr>
<tr class="separator:a3eac98c19587d456ad2f2f8c596baebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48dfb389a100918e91bcef2203e0ad4a"><td class="memItemLeft" align="right" valign="top">case_vector_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a48dfb389a100918e91bcef2203e0ad4a">getCases</a> ()</td></tr>
<tr class="memdesc:a48dfb389a100918e91bcef2203e0ad4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns union cases vector.  <a href="#a48dfb389a100918e91bcef2203e0ad4a">More...</a><br /></td></tr>
<tr class="separator:a48dfb389a100918e91bcef2203e0ad4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f91fb1760b5014e39f8ed1de5deeb70"><td class="memItemLeft" align="right" valign="top">case_vector_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a5f91fb1760b5014e39f8ed1de5deeb70">getUniqueCases</a> ()</td></tr>
<tr class="memdesc:a5f91fb1760b5014e39f8ed1de5deeb70"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns unique union cases vector.  <a href="#a5f91fb1760b5014e39f8ed1de5deeb70">More...</a><br /></td></tr>
<tr class="separator:a5f91fb1760b5014e39f8ed1de5deeb70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c6e128c8891eaa4b12cfaebd751de0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#ac8c6e128c8891eaa4b12cfaebd751de0">addUnionMemberDeclaration</a> (const std::string &amp;name, <a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType)</td></tr>
<tr class="memdesc:ac8c6e128c8891eaa4b12cfaebd751de0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function adds unique union member declaration.  <a href="#ac8c6e128c8891eaa4b12cfaebd751de0">More...</a><br /></td></tr>
<tr class="separator:ac8c6e128c8891eaa4b12cfaebd751de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f4faf0ca9bb525d1e8c15a44030018"><td class="memItemLeft" align="right" valign="top">memberDecl_vector_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#ad3f4faf0ca9bb525d1e8c15a44030018">getUnionMemberDeclarations</a> ()</td></tr>
<tr class="memdesc:ad3f4faf0ca9bb525d1e8c15a44030018"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns vector of union member declarations.  <a href="#ad3f4faf0ca9bb525d1e8c15a44030018">More...</a><br /></td></tr>
<tr class="separator:ad3f4faf0ca9bb525d1e8c15a44030018"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e3e218d7ca62202024b716e65049c7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_struct_member.html">StructMember</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a5e3e218d7ca62202024b716e65049c7a">getUnionMemberDeclaration</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a5e3e218d7ca62202024b716e65049c7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns union member declaration.  <a href="#a5e3e218d7ca62202024b716e65049c7a">More...</a><br /></td></tr>
<tr class="separator:a5e3e218d7ca62202024b716e65049c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24ba483c24634b07d88677d775e72fcb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a24ba483c24634b07d88677d775e72fcb">getDiscriminatorName</a> ()</td></tr>
<tr class="memdesc:a24ba483c24634b07d88677d775e72fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns union discriminator name.  <a href="#a24ba483c24634b07d88677d775e72fcb">More...</a><br /></td></tr>
<tr class="separator:a24ba483c24634b07d88677d775e72fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ec8e87dffb97cb13712c58beb9d635"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94ec8e87dffb97cb13712c58beb9d635"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#a94ec8e87dffb97cb13712c58beb9d635">printUnionMembers</a> ()</td></tr>
<tr class="memdesc:a94ec8e87dffb97cb13712c58beb9d635"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function prints information about union members. <br /></td></tr>
<tr class="separator:a94ec8e87dffb97cb13712c58beb9d635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f52fad4452caf804800c9a01726aca"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_union_type.html#aa6f52fad4452caf804800c9a01726aca">declarationExists</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:aa6f52fad4452caf804800c9a01726aca"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is looking for member declaration.  <a href="#aa6f52fad4452caf804800c9a01726aca">More...</a><br /></td></tr>
<tr class="separator:aa6f52fad4452caf804800c9a01726aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9d4746d1a76e940c16217fe6ccb02e7e">DataType</a> (<a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType)</td></tr>
<tr class="memdesc:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9d4746d1a76e940c16217fe6ccb02e7e">More...</a><br /></td></tr>
<tr class="separator:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ab15c1464b00f40e42b81a1bc4369d3e8">DataType</a> (const std::string &amp;name, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType)</td></tr>
<tr class="memdesc:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab15c1464b00f40e42b81a1bc4369d3e8">More...</a><br /></td></tr>
<tr class="separator:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a7ca5a9bd08f03f89a63a56027bb047ab">DataType</a> (const std::string &amp;name, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType, <a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symbolType)</td></tr>
<tr class="memdesc:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7ca5a9bd08f03f89a63a56027bb047ab">More...</a><br /></td></tr>
<tr class="separator:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a0141daa9d2ac3dfc7e0331e44fd293f4">DataType</a> (const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType, <a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symbolType)</td></tr>
<tr class="memdesc:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0141daa9d2ac3dfc7e0331e44fd293f4">More...</a><br /></td></tr>
<tr class="separator:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a419dd8a1abb25920c2cfccacb9f77f8e">getDataType</a> () const </td></tr>
<tr class="memdesc:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns data type.  <a href="#a419dd8a1abb25920c2cfccacb9f77f8e">More...</a><br /></td></tr>
<tr class="separator:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a5a996dbde6578d38f035695c6a567bab">getTrueDataType</a> ()</td></tr>
<tr class="memdesc:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to true data type instead of alias.  <a href="#a5a996dbde6578d38f035695c6a567bab">More...</a><br /></td></tr>
<tr class="separator:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a3f310d7f1d272a9389ad285ba920134a">getTrueContainerDataType</a> ()</td></tr>
<tr class="memdesc:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to true data type (enum, builtin, structs) except lists and arrays.  <a href="#a3f310d7f1d272a9389ad285ba920134a">More...</a><br /></td></tr>
<tr class="separator:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9431e09a25ce91aaa8e8301ced975d92">isBuiltin</a> () const </td></tr>
<tr class="memdesc:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify string type.  <a href="#a9431e09a25ce91aaa8e8301ced975d92">More...</a><br /></td></tr>
<tr class="separator:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ab5c453e35889dd4d64ed621a9470b806">isString</a> () const </td></tr>
<tr class="memdesc:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify string type.  <a href="#ab5c453e35889dd4d64ed621a9470b806">More...</a><br /></td></tr>
<tr class="separator:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a1be5c32e9ccf8d694c0fd10f15e04e6e">isBinary</a> () const </td></tr>
<tr class="memdesc:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify binary type.  <a href="#a1be5c32e9ccf8d694c0fd10f15e04e6e">More...</a><br /></td></tr>
<tr class="separator:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b8242766c0018450af0e4da4954139c inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a6b8242766c0018450af0e4da4954139c">isList</a> () const </td></tr>
<tr class="memdesc:a6b8242766c0018450af0e4da4954139c inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify list type.  <a href="#a6b8242766c0018450af0e4da4954139c">More...</a><br /></td></tr>
<tr class="separator:a6b8242766c0018450af0e4da4954139c inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9c4c85f49b5d199ae23326daf228e1d2">isArray</a> () const </td></tr>
<tr class="memdesc:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify array type.  <a href="#a9c4c85f49b5d199ae23326daf228e1d2">More...</a><br /></td></tr>
<tr class="separator:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9fc5f7de98a3c8f1067b832ec4723494">isStruct</a> () const </td></tr>
<tr class="memdesc:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify struct type.  <a href="#a9fc5f7de98a3c8f1067b832ec4723494">More...</a><br /></td></tr>
<tr class="separator:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ac9a2e6e456ae83bcca8a9f0946a5d317">isEnum</a> () const </td></tr>
<tr class="memdesc:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify enum type.  <a href="#ac9a2e6e456ae83bcca8a9f0946a5d317">More...</a><br /></td></tr>
<tr class="separator:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a19952c8dc8ef8c4c5041fcf3cd26ae8e">isVoid</a> () const </td></tr>
<tr class="memdesc:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify void type.  <a href="#a19952c8dc8ef8c4c5041fcf3cd26ae8e">More...</a><br /></td></tr>
<tr class="separator:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a68c92086e4cfadcf8a8fd5063fed070d">isAlias</a> () const </td></tr>
<tr class="memdesc:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify alias type.  <a href="#a68c92086e4cfadcf8a8fd5063fed070d">More...</a><br /></td></tr>
<tr class="separator:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType)</td></tr>
<tr class="memdesc:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7d6a966d4c2d00f4e7e40c30796be532">More...</a><br /></td></tr>
<tr class="separator:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const std::string &amp;name)</td></tr>
<tr class="memdesc:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac969b4105dddf248d163cdb10385efe1">More...</a><br /></td></tr>
<tr class="separator:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok)</td></tr>
<tr class="memdesc:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3274ccd412cc221e15976cc93c71b95d">More...</a><br /></td></tr>
<tr class="separator:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a32f65a99da47b8a281926bc3770880"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a> ()</td></tr>
<tr class="memdesc:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a> () const </td></tr>
<tr class="memdesc:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol type.  <a href="#acc2311d1d0acf78dc31a86c7959ce34e">More...</a><br /></td></tr>
<tr class="separator:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a> () const </td></tr>
<tr class="memdesc:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol name.  <a href="#a84c290b9cf7672b0f94aea9ff27acf1f">More...</a><br /></td></tr>
<tr class="separator:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a> (const std::string &amp;newName)</td></tr>
<tr class="memdesc:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set symbol name.  <a href="#af3a2dbfad1b23fbdfa3ef6e3812ad357">More...</a><br /></td></tr>
<tr class="separator:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a> ()</td></tr>
<tr class="memdesc:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns location for symbol.  <a href="#a44f21abf207fcdda09415d1eaa32f348">More...</a><br /></td></tr>
<tr class="separator:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;loc)</td></tr>
<tr class="memdesc:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set location for symbol.  <a href="#a3b4712d9a59eee5c377b235d995ec776">More...</a><br /></td></tr>
<tr class="separator:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a> () const </td></tr>
<tr class="memdesc:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return first line from location of symbol.  <a href="#a927c69a16cbb47ca6c8d5b4f8a213887">More...</a><br /></td></tr>
<tr class="separator:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a> () const </td></tr>
<tr class="memdesc:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return last line from location of symbol.  <a href="#a00bb74bbfea291f784e65484bf54664b">More...</a><br /></td></tr>
<tr class="separator:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a> (const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;a)</td></tr>
<tr class="memdesc:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function add annotation to vector of symbol annotations.  <a href="#a828866509c0ee041aaf7e31ab18cf2da">More...</a><br /></td></tr>
<tr class="separator:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a> ()</td></tr>
<tr class="memdesc:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about annotation.  <a href="#aa3f9fe166df63e096228de582e87248b">More...</a><br /></td></tr>
<tr class="separator:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a> (std::string name)</td></tr>
<tr class="memdesc:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotation in the annotation list.  <a href="#a674a1dff60207fa512a2a2b7b7146c3b">More...</a><br /></td></tr>
<tr class="separator:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a> (std::string name)</td></tr>
<tr class="memdesc:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotations matching name in the annotation list.  <a href="#a8ac0fa46b91ae20ff49c62cfab29a810">More...</a><br /></td></tr>
<tr class="separator:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a> ()</td></tr>
<tr class="memdesc:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns multiline comment for this symbol declared in IDL file.  <a href="#a85fc3b86b1d1935f3017f8d5db3a2111">More...</a><br /></td></tr>
<tr class="separator:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set multiline comment for this symbol declared in IDL file.  <a href="#adfff1c0850b243effae7c8c9911f2f53">More...</a><br /></td></tr>
<tr class="separator:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a> ()</td></tr>
<tr class="memdesc:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns inline comment for this symbol declared in IDL file.  <a href="#acec60e332ab5bf223e8c5d92f9a732f0">More...</a><br /></td></tr>
<tr class="separator:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set inline comment for this symbol declared in IDL file.  <a href="#a9cf5481c123404b46a6574135ff6631e">More...</a><br /></td></tr>
<tr class="separator:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a49a55bec8ce5196abe868e7209347fbe inherit pro_attribs_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a49a55bec8ce5196abe868e7209347fbe">m_dataType</a></td></tr>
<tr class="separator:a49a55bec8ce5196abe868e7209347fbe inherit pro_attribs_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td></tr>
<tr class="separator:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td></tr>
<tr class="separator:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td></tr>
<tr class="separator:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td></tr>
<tr class="separator:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td></tr>
<tr class="separator:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td></tr>
<tr class="separator:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Discriminated union data type. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8a458b46a9531a34a22a84f9f8aa842d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::UnionType::UnionType </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>discriminatorName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set data type to union data type and name to given name. It will also set discriminator name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Given name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">discriminatorName</td><td>Discriminator name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab43e74456e7e9ca2c869b764fef5ad48"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UnionType::addCase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_union_case.html">UnionCase</a> *&#160;</td>
          <td class="paramname"><em>unionCase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function will add union case to current union. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">unionCase</td><td>Given union case. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac8c6e128c8891eaa4b12cfaebd751de0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UnionType::addUnionMemberDeclaration </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td>
          <td class="paramname"><em>dataType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function adds unique union member declaration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Union case name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataType</td><td>Union case data type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa6f52fad4452caf804800c9a01726aca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UnionType::declarationExists </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is looking for member declaration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Name of union member.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>when declaration already exist. </td></tr>
    <tr><td class="paramname">false</td><td>when declaration don't exist. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a48dfb389a100918e91bcef2203e0ad4a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">case_vector_t&amp; erpcgen::UnionType::getCases </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns union cases vector. </p>
<dl class="section return"><dt>Returns</dt><dd>Vector of union cases vector. </dd></dl>

</div>
</div>
<a class="anchor" id="ae8ca991afd47858d15e1cea0a37f27b5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string UnionType::getDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns description about the union. </p>
<dl class="section return"><dt>Returns</dt><dd>String description about struct.</dd></dl>
<dl class="section see"><dt>See also</dt><dd>std::string <a class="el" href="classerpcgen_1_1_alias_type.html#a1dcefef6c4e73b429ebfddc13d056d9c" title="This function returns description about the alias. ">AliasType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_enum_type.html#a7b1138290c55479bfd939a61eaceb392" title="This function returns description about the enum. ">EnumType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_enum_member.html#a72f031925bbc83f049e07fd04bd16abe" title="This function returns description about the enum member. ">EnumMember::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_struct_member.html#a839ee493aa6fafaac3dda9ec292ed1dd" title="This function returns description about the struct member. ">StructMember::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_void_type.html#a329b76a4ef8e30637e7607883772b0e3" title="This function returns description about the void. ">VoidType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_array_type.html#a1c5a4e6413834ed1d286ae56d4566f85" title="This function returns description about the array. ">ArrayType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c" title="This function returns description about the list. ">ListType::getDescription() const</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classerpcgen_1_1_symbol.html#a84732dc398fd0cbf64d53d45db1cc8c5">erpcgen::Symbol</a>.</p>

</div>
</div>
<a class="anchor" id="a24ba483c24634b07d88677d775e72fcb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::UnionType::getDiscriminatorName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns union discriminator name. </p>
<dl class="section return"><dt>Returns</dt><dd>Union discriminator name. </dd></dl>

</div>
</div>
<a class="anchor" id="a5e3e218d7ca62202024b716e65049c7a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_struct_member.html">StructMember</a> * UnionType::getUnionMemberDeclaration </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns union member declaration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Name of union member.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Union member. </dd></dl>

</div>
</div>
<a class="anchor" id="ad3f4faf0ca9bb525d1e8c15a44030018"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">memberDecl_vector_t&amp; erpcgen::UnionType::getUnionMemberDeclarations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns vector of union member declarations. </p>
<dl class="section return"><dt>Returns</dt><dd>Vector of union member declarations. </dd></dl>

</div>
</div>
<a class="anchor" id="a5f91fb1760b5014e39f8ed1de5deeb70"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UnionType::case_vector_t UnionType::getUniqueCases </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns unique union cases vector. </p>
<dl class="section return"><dt>Returns</dt><dd>Vector of union cases vector. </dd></dl>

</div>
</div>
<a class="anchor" id="a3eac98c19587d456ad2f2f8c596baebb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool erpcgen::UnionType::isUnion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function return "true" value for identify union type. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>Always return true. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classerpcgen_1_1_data_type.html#ac5b57925fbf7b0a69aee8f11add91745">erpcgen::DataType</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_union_type_8h_source.html">UnionType.h</a></li>
<li>Type.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
